package com.ruoyi.label.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 标签模板信息对象 tb_label_model_info
 * 
 * @author 原动力
 * @date 2023-11-24
 */
public class TbLabelModelInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 位置编号 */
    @Excel(name = "位置编号")
    private Long id;

    /** 标签名称 */
    @Excel(name = "标签名称")
    private String name;

    /** 标签编码 */
    @Excel(name = "标签编码")
    private String labelCode;

    /** 标签内容 */
    @Excel(name = "标签内容")
    private String labelValue;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLabelCode(String labelCode) 
    {
        this.labelCode = labelCode;
    }

    public String getLabelCode() 
    {
        return labelCode;
    }
    public void setLabelValue(String labelValue) 
    {
        this.labelValue = labelValue;
    }

    public String getLabelValue() 
    {
        return labelValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("labelCode", getLabelCode())
            .append("labelValue", getLabelValue())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
